<?php

namespace  FiloBlu\Design\Plugin\Magento\Customer\Helper;

class Address
{
    public $_helper;

    public function __construct(\FiloBlu\Design\Helper\Data $helper) {
        $this->_helper = $helper;
    }

    public function aroundGetAttributeValidationClass(\Magento\Customer\Helper\Address $subject, callable $proceed, $attributeCode)
    {
        $result = $proceed($attributeCode);

        $_intlTelInput = $this->_helper->getConfig('js_library/intlTelInput_enabled') && $this->_helper->getConfig('js_library/intlTelInput_validation');

        if ($_intlTelInput && $attributeCode == 'telephone') {
            $result .= ' validate-mobile-number';
        }

        return $result;
    }
}
